/*
*********************************************
*											*
*		UTC TAI sample program				*
*											*
*********************************************
*/
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "atime.h"


int main(int argc, char *argv[])
{
	DATETIME dtime;
	double dJD_TAI;
	double dDAT;
	double dDay;

	/* Set arg data */
	if (argc < 7){
		puts("atime year month day hour minuts sec\n");
		return -1;
	}

	dtime.nYear = atoi(argv[1]);
	dtime.nMonth = atoi(argv[2]);
	dtime.nDay = atoi(argv[3]);
	dtime.nHour = atoi(argv[4]);
	dtime.nMin = atoi(argv[5]);
	dtime.dSec = atof(argv[6]);

	/* UTC -> TAI */
	dDAT = utc_tai(&dtime, &dJD_TAI);
	printf("TAI-UTC %f\n", dDAT);

	/* TAI to Date & time */
	juian_date(dJD_TAI, &dtime.nYear, &dtime.nMonth, &dDay);
	dtime.nDay = (int)floor(dDay);
	dDay -= dtime.nDay;

	dayfrac_time(dDay, &dtime.nHour, &dtime.nMin, &dtime.dSec);
	printf("TAI %04d/%02d/%02d %02d:%02d:%07.4f\n", dtime.nYear, dtime.nMonth, dtime.nDay, dtime.nHour, dtime.nMin, dtime.dSec);

	/* TAI -> UTC */
	tai_utc(dJD_TAI, &dtime);
	printf("UTC %04d/%02d/%02d %02d:%02d:%07.4f\n", dtime.nYear, dtime.nMonth, dtime.nDay, dtime.nHour, dtime.nMin, dtime.dSec);

	return 0;
}
